summaryrefslogtreecommitdiffstats
path: root/meta-agl-drm-lease/scripts
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2023-05-11 17:09:44 +0200
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2023-05-31 09:16:39 +0000
commit95e1b466426763d761b171677c86b36f925c9d88 (patch)
tree68ac121a638b8171799357db294ad66c2073e40b /meta-agl-drm-lease/scripts
parent70cd4a0658ec43ae7b1195019d1e2d32df384835 (diff)
Ensure meta-agl-drm-lease does pass yocto-check-layer and has run-yocto-check-layer.sh scripts
Ensure the layers do pass again and that the scripts are up-to-date. Bug-AGL: SPEC-4680 Bug-AGL: SPEC-4686 Change-Id: Id1279d4a43b89d50731dd85e9347d35d524e14b7 Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'meta-agl-drm-lease/scripts')
-rwxr-xr-xmeta-agl-drm-lease/scripts/run-yocto-check-layer.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/meta-agl-drm-lease/scripts/run-yocto-check-layer.sh b/meta-agl-drm-lease/scripts/run-yocto-check-layer.sh
new file mode 100755
index 00000000..3bcf31ca
--- /dev/null
+++ b/meta-agl-drm-lease/scripts/run-yocto-check-layer.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+#set -x
+
+SCRIPTPATH="$( cd $(dirname $0) >/dev/null 2>&1 ; pwd -P )"
+echo $SCRIPTPATH
+AGLROOT="$SCRIPTPATH/../../.."
+POKYDIR="$AGLROOT/external/poky"
+TMPROOT=`mktemp -d`
+
+rm -rf ${TMPROOT}/testbuild-ycl || true
+mkdir -p ${TMPROOT}/testbuild-ycl
+cd ${TMPROOT}/testbuild-ycl
+
+source $POKYDIR/oe-init-build-env .
+
+cat << EOF >> conf/local.conf
+# just define defaults
+AGL_FEATURES ?= ""
+AGL_EXTRA_IMAGE_FSTYPES ?= ""
+
+# important settings imported from poky-agl.conf
+# we cannot import the distro config right away
+# as the initial values are poky only till the layer
+# is added in
+
+AGL_DEFAULT_DISTRO_FEATURES = "usrmerge largefile opengl wayland pam bluetooth bluez5 3g"
+DISTRO_FEATURES:append = " systemd wayland pam \${AGL_DEFAULT_DISTRO_FEATURES}"
+DISTRO_FEATURES_BACKFILL_CONSIDERED:append = " sysvinit"
+VIRTUAL-RUNTIME_init_manager = "systemd"
+
+EOF
+
+yocto-check-layer --no-auto-dependency \
+ -- \
+ $AGLROOT/meta-agl-devel/meta-agl-drm-lease
+# --dependency \
+# $AGLROOT/meta-agl/meta-agl-core \
+#
+
+[ $? = 0 ] && rm -rf ${TMPROOT}/testbuild-ycl
+
+exit 0